Red Hat 8832 Published by

An openssh security update has been released for Red Hat Enterprise Linux 6.



[RHSA-2023:4428-01] Important: openssh security update


=====================================================================
Red Hat Security Advisory

Synopsis: Important: openssh security update
Advisory ID: RHSA-2023:4428-01
Product: Red Hat Enterprise Linux
Advisory URL: https://access.redhat.com/errata/RHSA-2023:4428
Issue date: 2023-08-02
CVE Names: CVE-2023-38408
=====================================================================

1. Summary:

An update for openssh is now available for Red Hat Enterprise Linux 6
Extended Lifecycle Support.

Red Hat Product Security has rated this update as having a security impact
of Important. A Common Vulnerability Scoring System (CVSS) base score,
which gives a detailed severity rating, is available for each vulnerability
from the CVE link(s) in the References section.

2. Relevant releases/architectures:

Red Hat Enterprise Linux Server (v. 6 ELS) - i386, s390x, x86_64
Red Hat Enterprise Linux Server Optional (v. 6 ELS) - i386, s390x, x86_64

3. Description:

OpenSSH is an SSH protocol implementation supported by a number of Linux,
UNIX, and similar operating systems. It includes the core files necessary
for both the OpenSSH client and server.

Security Fix(es):

* openssh: Remote code execution in ssh-agent PKCS#11 support
(CVE-2023-38408)

For more details about the security issue(s), including the impact, a CVSS
score, acknowledgments, and other related information, refer to the CVE
page(s) listed in the References section.

4. Solution:

For details on how to apply this update, which includes the changes
described in this advisory, refer to:

https://access.redhat.com/articles/11258

After installing this update, the OpenSSH server daemon (sshd) will be
restarted automatically.

5. Bugs fixed ( https://bugzilla.redhat.com/):

2224173 - CVE-2023-38408 openssh: Remote code execution in ssh-agent PKCS#11 support

6. Package List:

Red Hat Enterprise Linux Server (v. 6 ELS):

Source:
openssh-5.3p1-125.el6_10.src.rpm

i386:
openssh-5.3p1-125.el6_10.i686.rpm
openssh-askpass-5.3p1-125.el6_10.i686.rpm
openssh-clients-5.3p1-125.el6_10.i686.rpm
openssh-debuginfo-5.3p1-125.el6_10.i686.rpm
openssh-server-5.3p1-125.el6_10.i686.rpm

s390x:
openssh-5.3p1-125.el6_10.s390x.rpm
openssh-askpass-5.3p1-125.el6_10.s390x.rpm
openssh-clients-5.3p1-125.el6_10.s390x.rpm
openssh-debuginfo-5.3p1-125.el6_10.s390x.rpm
openssh-server-5.3p1-125.el6_10.s390x.rpm

x86_64:
openssh-5.3p1-125.el6_10.x86_64.rpm
openssh-askpass-5.3p1-125.el6_10.x86_64.rpm
openssh-clients-5.3p1-125.el6_10.x86_64.rpm
openssh-debuginfo-5.3p1-125.el6_10.x86_64.rpm
openssh-server-5.3p1-125.el6_10.x86_64.rpm

Red Hat Enterprise Linux Server Optional (v. 6 ELS):

i386:
openssh-debuginfo-5.3p1-125.el6_10.i686.rpm
openssh-ldap-5.3p1-125.el6_10.i686.rpm
pam_ssh_agent_auth-0.9.3-125.el6_10.i686.rpm

s390x:
openssh-debuginfo-5.3p1-125.el6_10.s390.rpm
openssh-debuginfo-5.3p1-125.el6_10.s390x.rpm
openssh-ldap-5.3p1-125.el6_10.s390x.rpm
pam_ssh_agent_auth-0.9.3-125.el6_10.s390.rpm
pam_ssh_agent_auth-0.9.3-125.el6_10.s390x.rpm

x86_64:
openssh-debuginfo-5.3p1-125.el6_10.i686.rpm
openssh-debuginfo-5.3p1-125.el6_10.x86_64.rpm
openssh-ldap-5.3p1-125.el6_10.x86_64.rpm
pam_ssh_agent_auth-0.9.3-125.el6_10.i686.rpm
pam_ssh_agent_auth-0.9.3-125.el6_10.x86_64.rpm

These packages are GPG signed by Red Hat for security. Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/

7. References:

https://access.redhat.com/security/cve/CVE-2023-38408
https://access.redhat.com/security/updates/classification/#important

8. Contact:

The Red Hat security contact is [secalert@redhat.com]. More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2023 Red Hat, Inc.

--